#### D.12.2.14 solutionsMod2

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  solutionsMod2(M);

Return:
  an intmat containing a basis of the vector space of solutions of the linear system of equations defined by M over the prime field of characteristic 2

Example:

    LIB "crypto.lib";
    bigintmat M[3][3]=1,2,3,4,5,6,7,6,5;
    solutionsMod2(M);
    ==> 1,0,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.